Summary: An X terminal locking program.
Name: xlockmore
Version: 4.17.2
Release: 4
Copyright: MIT
Group: Amusements/Graphics
Source0: ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/xlockmore-%{version}.tar.gz
Source1: m-redhat.xpm
Source2: m-redhat.xbm
Source3: s-redhat.xpm
Source4: s-redhat.xbm
Source5: xlock.pamd
Patch1: xlockmore-c++.patch
Patch4: xlockmore-4.17.2-noship.patch
Patch5: xlockmore-conf.patch
Patch6: xlockmore-4.16.1-implicit.patch
Requires: pam >= 0.59, /usr/games/fortune, /etc/pam.d/system-auth
Buildroot: /var/tmp/%{name}-buildroot
BuildRequires: gcc gcc-c++ libstdc++ libstdc++-devel glibc-devel filesystem basesystem setup redhat-release kernel glibc rpm rpm-build sh-utils
BuildPreReq: pam-devel XFree86-devel Mesa-devel freetype-devel  

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%prep
%setup -q
%patch1 -p1 -b .c++
%patch4 -p1 -b .noship
%patch5 -p1 -b .conf
%patch6 -p1 -b .implicit

cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/m-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/m-redhat.xbm
cp $RPM_SOURCE_DIR/m-redhat.xpm pixmaps/l-redhat.xpm
cp $RPM_SOURCE_DIR/m-redhat.xbm bitmaps/l-redhat.xbm
cp $RPM_SOURCE_DIR/s-redhat.xpm pixmaps/s-redhat.xpm
cp $RPM_SOURCE_DIR/s-redhat.xbm bitmaps/s-redhat.xbm

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr/X11R6 --without-motif --without-gtk \
	--enable-pam --without-dpms --without-esound
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 xapploaddir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/  INSTPGMFLAGS="-m 755"
install -m 644 ${RPM_SOURCE_DIR}/xlock.pamd $RPM_BUILD_ROOT/etc/pam.d/xlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/xlock
/usr/X11R6/bin/xlock
/usr/X11R6/man/man1/xlock.*
%config /usr/X11R6/lib/X11/app-defaults/XLock

%changelog
* Tue Jul 24 2001 Harald Hoyer <harald@redhat.com>
- added more BuildPreReq (#49747)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- update to 4.17.2
- turn optimization back on

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix segfault on exit (#15509)

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- turn off sound support

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth
- build without optimization to get around strange math inlining
- remove duplicate declaration for DPMSQueryExtension()

* Tue May 16 2000 Ngo Than <than@redhat.de>
- fixed security bug. (it print the shadow password information)

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig gone.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- fun with GL

* Tue Nov  9 1999 Bill Nottingham <notting@redhat.com>
- update to 4.15

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- update to 4.13.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure 

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

